Linux polon 4.19.0-27-amd64 #1 SMP Debian 4.19.316-1 (2024-06-25) x86_64
Apache/2.4.59 (Debian)
: 10.2.73.233 | : 216.73.216.105
Cant Read [ /etc/named.conf ]
5.6.40-64+0~20230107.71+debian10~1.gbp673146
ifk
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
a2disconf
15.89
KB
-rwxr-xr-x
a2dismod
15.89
KB
-rwxr-xr-x
a2dissite
15.89
KB
-rwxr-xr-x
a2enconf
15.89
KB
-rwxr-xr-x
a2enmod
15.89
KB
-rwxr-xr-x
a2ensite
15.89
KB
-rwxr-xr-x
a2query
9.64
KB
-rwxr-xr-x
aa-remove-unknown
3
KB
-rwxr-xr-x
aa-status
8.63
KB
-rwxr-xr-x
aa-teardown
139
B
-rwxr-xr-x
accessdb
14.23
KB
-rwxr-xr-x
acpid
54.71
KB
-rwxr-xr-x
add-shell
860
B
-rwxr-xr-x
addgnupghome
3
KB
-rwxr-xr-x
addgroup
33.71
KB
-rwxr-xr-x
adduser
33.71
KB
-rwxr-xr-x
apache2
707.95
KB
-rwxr-xr-x
apache2ctl
7.06
KB
-rwxr-xr-x
apachectl
7.06
KB
-rwxr-xr-x
apparmor_status
8.63
KB
-rwxr-xr-x
applygnupgdefaults
2.17
KB
-rwxr-xr-x
arp
65.93
KB
-rwxr-xr-x
arpd
75.13
KB
-rwxr-xr-x
arptables
217.42
KB
-rwxr-xr-x
arptables-nft
217.42
KB
-rwxr-xr-x
arptables-nft-restore
217.42
KB
-rwxr-xr-x
arptables-nft-save
217.42
KB
-rwxr-xr-x
arptables-restore
217.42
KB
-rwxr-xr-x
arptables-save
217.42
KB
-rwxr-xr-x
aspell-autobuildhash
13.22
KB
-rwxr-xr-x
atd
30.01
KB
-rwxr-xr-x
biosdecode
22.9
KB
-rwxr-xr-x
blkmapd
30.53
KB
-rwxr-xr-x
check_forensic
952
B
-rwxr-xr-x
chgpasswd
57.83
KB
-rwxr-xr-x
chmem
58.08
KB
-rwxr-xr-x
chpasswd
53.86
KB
-rwxr-xr-x
chroot
42.75
KB
-rwxr-xr-x
cpgr
55.96
KB
-rwxr-xr-x
cppw
55.96
KB
-rwxr-xr-x
cron
54.48
KB
-rwxr-xr-x
dbconfig-generate-include
12.37
KB
-rwxr-xr-x
dbconfig-load-include
5.57
KB
-rwxr-xr-x
delgroup
15.41
KB
-rwxr-xr-x
deluser
15.41
KB
-rwxr-xr-x
dkms
138.51
KB
-rwxr-xr-x
dmidecode
114.7
KB
-rwxr-xr-x
dpkg-preconfigure
3.58
KB
-rwxr-xr-x
dpkg-reconfigure
4.34
KB
-rwxr-xr-x
e2freefrag
14.07
KB
-rwxr-xr-x
e4crypt
26.07
KB
-rwxr-xr-x
e4defrag
33.99
KB
-rwxr-xr-x
ebtables
217.42
KB
-rwxr-xr-x
ebtables-nft
217.42
KB
-rwxr-xr-x
ebtables-nft-restore
217.42
KB
-rwxr-xr-x
ebtables-nft-save
217.42
KB
-rwxr-xr-x
ebtables-restore
217.42
KB
-rwxr-xr-x
ebtables-save
217.42
KB
-rwxr-xr-x
exicyclog
11.03
KB
-rwxr-xr-x
exigrep
10.25
KB
-rwxr-xr-x
exim
1.13
MB
-rwsr-xr-x
exim4
1.13
MB
-rwsr-xr-x
exim_checkaccess
4.74
KB
-rwxr-xr-x
exim_convert4r4
72.76
KB
-rwxr-xr-x
exim_dbmbuild
18
KB
-rwxr-xr-x
exim_dumpdb
22.01
KB
-rwxr-xr-x
exim_fixdb
26.01
KB
-rwxr-xr-x
exim_lock
17.99
KB
-rwxr-xr-x
exim_tidydb
22.01
KB
-rwxr-xr-x
eximstats
148.03
KB
-rwxr-xr-x
exinext
8.08
KB
-rwxr-xr-x
exipick
58.93
KB
-rwxr-xr-x
exiqgrep
5.1
KB
-rwxr-xr-x
exiqsumm
5.04
KB
-rwxr-xr-x
exiwhat
4.34
KB
-rwxr-xr-x
fdformat
34.08
KB
-rwxr-xr-x
filefrag
18.02
KB
-rwxr-xr-x
firewalld
6.86
KB
-rwxr-xr-x
genl
79.05
KB
-rwxr-xr-x
groupadd
65.89
KB
-rwxr-xr-x
groupdel
57.68
KB
-rwxr-xr-x
groupmems
57.87
KB
-rwxr-xr-x
groupmod
72.18
KB
-rwxr-xr-x
grpck
57.8
KB
-rwxr-xr-x
grpconv
53.68
KB
-rwxr-xr-x
grpunconv
53.68
KB
-rwxr-xr-x
grub-bios-setup
926.37
KB
-rwxr-xr-x
grub-install
1.13
MB
-rwxr-xr-x
grub-macbless
914.02
KB
-rwxr-xr-x
grub-mkconfig
8.42
KB
-rwxr-xr-x
grub-mkdevicemap
212.49
KB
-rwxr-xr-x
grub-probe
926.34
KB
-rwxr-xr-x
grub-reboot
4.73
KB
-rwxr-xr-x
grub-set-default
3.47
KB
-rwxr-xr-x
httxt2dbm
13.99
KB
-rwxr-xr-x
iconvconfig
30.66
KB
-rwxr-xr-x
iftop
66.65
KB
-rwxr-xr-x
invoke-rc.d
16.64
KB
-rwxr-xr-x
ip6tables
100.68
KB
-rwxr-xr-x
ip6tables-apply
6.89
KB
-rwxr-xr-x
ip6tables-legacy
100.68
KB
-rwxr-xr-x
ip6tables-legacy-restore
100.68
KB
-rwxr-xr-x
ip6tables-legacy-save
100.68
KB
-rwxr-xr-x
ip6tables-nft
217.42
KB
-rwxr-xr-x
ip6tables-nft-restore
217.42
KB
-rwxr-xr-x
ip6tables-nft-save
217.42
KB
-rwxr-xr-x
ip6tables-restore
100.68
KB
-rwxr-xr-x
ip6tables-restore-translate
217.42
KB
-rwxr-xr-x
ip6tables-save
100.68
KB
-rwxr-xr-x
ip6tables-translate
217.42
KB
-rwxr-xr-x
iptables
100.68
KB
-rwxr-xr-x
iptables-apply
6.89
KB
-rwxr-xr-x
iptables-legacy
100.68
KB
-rwxr-xr-x
iptables-legacy-restore
100.68
KB
-rwxr-xr-x
iptables-legacy-save
100.68
KB
-rwxr-xr-x
iptables-nft
217.42
KB
-rwxr-xr-x
iptables-nft-restore
217.42
KB
-rwxr-xr-x
iptables-nft-save
217.42
KB
-rwxr-xr-x
iptables-restore
100.68
KB
-rwxr-xr-x
iptables-restore-translate
217.42
KB
-rwxr-xr-x
iptables-save
100.68
KB
-rwxr-xr-x
iptables-translate
217.42
KB
-rwxr-xr-x
iptaccount
10.3
KB
-rwxr-xr-x
iptraf-ng
160.01
KB
-rwxr-xr-x
irqbalance
63.41
KB
-rwxr-xr-x
irqbalance-ui
34.67
KB
-rwxr-xr-x
ispell-autobuildhash
15.39
KB
-rwxr-xr-x
ldattach
30.08
KB
-rwxr-xr-x
locale-gen
1.5
KB
-rwxr-xr-x
logrotate
82.09
KB
-rwxr-xr-x
make-ssl-cert
3.78
KB
-rwxr-xr-x
mkinitramfs
11.13
KB
-rwxr-xr-x
mklost+found
13.99
KB
-rwxr-xr-x
mountstats
35.03
KB
-rwxr-xr-x
mysqld
19.99
MB
-rwxr-xr-x
netfilter-persistent
1.04
KB
-rwxr-xr-x
nethogs
58.2
KB
-rwxr-xr-x
newusers
86.39
KB
-rwxr-xr-x
nfacct
21.99
KB
-rwxr-xr-x
nfnl_osf
17.99
KB
-rwxr-xr-x
nfsidmap
22.59
KB
-rwxr-xr-x
nfsiostat
23.35
KB
-rwxr-xr-x
nfsstat
33.26
KB
-rwxr-xr-x
nft
18.07
KB
-rwxr-xr-x
nologin
13.99
KB
-rwxr-xr-x
ownership
14.13
KB
-rwxr-xr-x
pam-auth-update
19.78
KB
-rwxr-xr-x
pam_getenv
2.82
KB
-rwxr-xr-x
pam_timestamp_check
14.3
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
php-fpm5.6
4.35
MB
-rwxr-xr-x
php-fpm7.0
4.28
MB
-rwxr-xr-x
php-fpm7.2
4.76
MB
-rwxr-xr-x
php-fpm7.3
4.56
MB
-rwxr-xr-x
php-fpm7.4
4.52
MB
-rwxr-xr-x
php-fpm8.2
5.34
MB
-rwxr-xr-x
php5dismod
6.21
KB
-rwxr-xr-x
php5enmod
6.21
KB
-rwxr-xr-x
php5query
5.05
KB
-rwxr-xr-x
phpdismod
7.11
KB
-rwxr-xr-x
phpenmod
7.11
KB
-rwxr-xr-x
phpquery
6.24
KB
-rwxr-xr-x
pma-configure
299
B
-rwxr-xr-x
pma-secure
157
B
-rwxr-xr-x
pwck
53.8
KB
-rwxr-xr-x
pwconv
49.7
KB
-rwxr-xr-x
pwunconv
49.68
KB
-rwxr-xr-x
readprofile
22.11
KB
-rwxr-xr-x
remove-default-ispell
2.86
KB
-rwxr-xr-x
remove-default-wordlist
2.86
KB
-rwxr-xr-x
remove-shell
904
B
-rwxr-xr-x
rmail
1.13
MB
-rwsr-xr-x
rmt
58.96
KB
-rwxr-xr-x
rmt-tar
58.96
KB
-rwxr-xr-x
rpc.gssd
75.78
KB
-rwxr-xr-x
rpc.idmapd
39.16
KB
-rwxr-xr-x
rpc.svcgssd
34.95
KB
-rwxr-xr-x
rpcdebug
18.33
KB
-rwxr-xr-x
rpcinfo
34.16
KB
-rwxr-xr-x
rsmtp
1.13
MB
-rwsr-xr-x
rsyslogd
685.64
KB
-rwxr-xr-x
rtcwake
46.08
KB
-rwxr-xr-x
runq
1.13
MB
-rwsr-xr-x
rvnamed-ng
14.34
KB
-rwxr-xr-x
saned
54.28
KB
-rwxr-xr-x
select-default-ispell
3.23
KB
-rwxr-xr-x
select-default-wordlist
3.21
KB
-rwxr-xr-x
sendmail
1.13
MB
-rwsr-xr-x
service
9.05
KB
-rwxr-xr-x
setvesablank
14.3
KB
-rwxr-xr-x
split-logfile
2.36
KB
-rwxr-xr-x
sshd
792.41
KB
-rwxr-xr-x
start-statd
838
B
-rwxr-xr-x
syslog2eximlog
1.41
KB
-rwxr-xr-x
tarcat
936
B
-rwxr-xr-x
tcptraceroute
1.56
KB
-rwxr-xr-x
tcptraceroute.db
1.56
KB
-rwxr-xr-x
traceroute
67.16
KB
-rwxr-xr-x
tzconfig
106
B
-rwxr-xr-x
update-ca-certificates
5.18
KB
-rwxr-xr-x
update-default-aspell
1
KB
-rwxr-xr-x
update-default-ispell
9.68
KB
-rwxr-xr-x
update-default-wordlist
7.5
KB
-rwxr-xr-x
update-dictcommon-aspell
1
KB
-rwxr-xr-x
update-dictcommon-hunspell
782
B
-rwxr-xr-x
update-exim4.conf
14.72
KB
-rwxr-xr-x
update-exim4.conf.template
3.33
KB
-rwxr-xr-x
update-exim4defaults
8.2
KB
-rwxr-xr-x
update-fmtutil
9.58
KB
-rwxr-xr-x
update-grub
64
B
-rwxr-xr-x
update-grub2
64
B
-rwxr-xr-x
update-gsfontmap
470
B
-rwxr-xr-x
update-icon-caches
596
B
-rwxr-xr-x
update-inetd
5.83
KB
-rwxr-xr-x
update-info-dir
1.66
KB
-rwxr-xr-x
update-initramfs
7.16
KB
-rwxr-xr-x
update-java-alternatives
3.09
KB
-rwxr-xr-x
update-language
9.37
KB
-rwxr-xr-x
update-language-dat
9.37
KB
-rwxr-xr-x
update-language-def
9.37
KB
-rwxr-xr-x
update-language-lua
9.37
KB
-rwxr-xr-x
update-locale
2.99
KB
-rwxr-xr-x
update-mime
8.84
KB
-rwxr-xr-x
update-passwd
34.41
KB
-rwxr-xr-x
update-pciids
2.84
KB
-rwxr-xr-x
update-python-modules
19.33
KB
-rwxr-xr-x
update-rc.d
16.76
KB
-rwxr-xr-x
update-texmf
2.6
KB
-rwxr-xr-x
update-texmf-config
1.5
KB
-rwxr-xr-x
update-tl-stacked-conffile
9.58
KB
-rwxr-xr-x
update-updmap
9.58
KB
-rwxr-xr-x
upgrade-from-grub-legacy
1.56
KB
-rwxr-xr-x
useradd
127.25
KB
-rwxr-xr-x
userdel
90.45
KB
-rwxr-xr-x
usermod
123.06
KB
-rwxr-xr-x
validlocale
1.73
KB
-rwxr-xr-x
vcstime
14.18
KB
-rwxr-xr-x
vigr
60.18
KB
-rwxr-xr-x
vipw
60.18
KB
-rwxr-xr-x
visudo
205.79
KB
-rwxr-xr-x
vpddecode
14.27
KB
-rwxr-xr-x
xtables-legacy-multi
100.68
KB
-rwxr-xr-x
xtables-monitor
217.42
KB
-rwxr-xr-x
xtables-nft-multi
217.42
KB
-rwxr-xr-x
zic
54.55
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : php5enmod
#!/bin/sh # # php5enmod - a php5 module manager for Debian # # Copyright 2013 Ondřej Surý <ondrej@sury.org> # # This program is licensed at your choice under the terms of the GNU General # Public License version 2+ or under the terms of the PHP License 3.01. # # For GPL-2+: # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License # as published by the Free Software Foundation; either version 2 # of the License, or (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, # USA. # # For PHP 3.01: # This source file is subject to version 3.01 of the PHP license, # that is bundled with this package in the file LICENSE, and is # available through the world-wide-web at the following url: # http://www.php.net/license/3_01.txt # If you did not receive a copy of the PHP license and are unable to # obtain it through the world-wide-web, please send a note to # license@php.net so we can mail you a copy immediately. # set -ue SCRIPT_NAME=${0##*/} QUIET=no NEED_RESTART=no MAINT_MODE=no . /usr/share/php5/php5-helper usage() { [ -n "$@" ] && warning $@ echo "usage: ${SCRIPT_NAME} [ -s ALL|sapi_name ] module_name [ module_name_2 ]" exit 1 } enmods() { local sapis="$1" local mods="$2" local register="$3" local sapi local mod for mod in $mods; do for sapi in $sapis; do enmod_ret=0 enmod $sapi $mod || enmod_ret=$? case $enmod_ret in 0) NEED_RESTART=yes record_state enabled $sapi $mod ;; esac done if [ "$register" = "yes" ]; then mod_registry register $mod fi done } dismods() { local sapis="$1" local mods="$2" local register="$3" local purge="$4" local sapi local mod for mod in $mods; do for sapi in $sapis; do local dismod_ret=0 dismod $sapi $mod $purge || dismod_ret=$? case $dismod_ret in 0) NEED_RESTART=yes record_state disabled $sapi $mod ;; esac done if [ "$purge" = "yes" ]; then remove_state enabled $sapi $mod remove_state disabled $sapi $mod mod_registry unregister $mod elif [ "$register" = "yes" ]; then mod_registry unregister $mod fi done } enmod() { local sapi=$1 local modname=$2 if ! module_exists $modname; then warning "Module $modname ini file doesn't exist under /etc/php5/mods-available" return 1 fi local priority=$(get_priority $sapi $modname) local live_link=$(get_live_link $sapi $modname $priority) local live_link_content=$(get_live_link_content $sapi $modname $priority) module_cleanup $sapi $modname $priority local module_state=0 php5query -q -s $sapi -m $modname || module_state=$? case $module_state in # module enabled, but re-enable the conf.d link just in case 0) ;; # module not yet enabled 1) ;; # module disabled by maintainer script 33) ;; # module disabled by site administrator # enable module only if not running in maintainer mode 32) if [ "$MAINT_MODE" = "yes" ]; then warning "Not enabling the ${modname} module for ${sapi} SAPI since the module" warning "was disabled by local administrator." return 1 fi ;; 34) warning "Not enabling the ${modname} module for ${sapi} SAPI since module symlink" warning "already exists in /etc/php5/${sapi}/conf.d with different content." return 1 ;; # fail if we get any different result *) warning "Unable to get module state, run php5query -s $sapi -m $modname manually" warning "and fix the module state." return 1 esac if [ -d "/etc/php5/$sapi/conf.d" ]; then if [ ! -h "${live_link}" ]; then ln -s "${live_link_content}" "${live_link}" fi else warning "Directory /etc/php5/$sapi/conf.d doesn't exist, not enabling the module" return 1 fi return 0 } dismod() { local sapi=$1 local modname=$2 local purge=$3 if ! module_exists $modname; then if [ "$purge" = "no" ]; then warning "Module $modname ini file doesn't exist under /etc/php5/mods-available" return 1 fi fi local priority=$(get_priority $sapi $modname) local live_link=$(get_live_link $sapi $modname $priority) local live_link_content=$(get_live_link_content $sapi $modname $priority) module_cleanup $sapi $modname $priority local module_state=0 php5query -q -s $sapi -m $modname || module_state=$? case $module_state in # module enabled 0) ;; # module not enabled, but re-remove the link just in case 1|32|33) ;; 34) warning "Not disabling module $modname for $sapi SAPI. The configuration was" warning "modified by local administrator." return 1 ;; # fail if we get any different result *) warning "Unable to get module state, run php5query -s $sapi -m $modname manually" warning "and fix the module state." return 1 esac if [ -d "/etc/php5/$sapi/conf.d" ]; then if [ -h "$live_link" ]; then rm -f "$live_link" fi fi return 0 } sapis= register=no purge=no while getopts pfs:mqr opt; do case $opt in r) register=yes;; s) if [ "$sapis" = "ALL" -o \( "$OPTARG" = "ALL" -a -n "$sapis" \) ]; then warning "You cannot specify ALL and individual sapis" usage fi sapis="${sapis}${sapis:+ }$OPTARG" ;; m) MAINT_MODE=yes;; p) purge=yes;; q) QUIET=yes;; \?) usage;; esac done shift $(expr $OPTIND - 1) mods="" for mod in $@; do mods="${mods}${mods:+ }${mod%%/*}" done if [ "$register" = "no" ]; then sapis="${sapis:-ALL}" if [ "$sapis" = "ALL" ]; then register=yes fi fi if [ "$sapis" = "ALL" ]; then sapis=$(php5query -S) fi [ -z "$mods" ] && usage case "${SCRIPT_NAME}" in php5enmod) enmods "$sapis" "$mods" "$register" ;; php5dismod) dismods "$sapis" "$mods" "$register" "$purge" ;; *) usage ;; esac exit 0
Close